Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class BFEntry

    java.lang.Object
      org.apache.fop.fonts.BFEntry

public class BFEntry
extends java.lang.Object

This is just a holder class for bfentries, groups of characters of a base font (bf).

Constructor Summary
`BFEntry(int unicodeStart, int unicodeEnd, int glyphStartIndex)` Main constructor.

Method Summary
`int` | `getGlyphStartIndex()` Returns the glyphStartIndex.
`int` | `getUnicodeEnd()` Returns the unicodeEnd.
`int` | `getUnicodeStart()` Returns the unicodeStart.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BFEntry

    public BFEntry(int unicodeStart,
                   int unicodeEnd,
                   int glyphStartIndex)

  Main constructor.

Parameters:
  `unicodeStart` - Unicode start index
  `unicodeEnd` - Unicode end index
  `glyphStartIndex` - glyph start index

Method Detail

### getUnicodeStart

    public int getUnicodeStart()

  Returns the unicodeStart.

  Returns:
    the Unicode start index

### getUnicodeEnd

    public int getUnicodeEnd()

  Returns the unicodeEnd.

  Returns:
    the Unicode end index

### getGlyphStartIndex

    public int getGlyphStartIndex()

  Returns the glyphStartIndex.

  Returns:
    the glyph start index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.